/**
 * editor_plugin_src.js
 *
 * Copyright 2009, Moxiecode Systems AB
 * Released under LGPL License.
 *
 * License: http://tinymce.moxiecode.com/license
 * Contributing: http://tinymce.moxiecode.com/contributing
 */

(function(tinymce) {
	tinymce.create('tinymce.plugins.flagsPlugin', {
		init : function(ed, url) {
			// Register commands
			ed.addCommand('mceflag', function() {
				ed.windowManager.open({
					file : url + '/flags.htm',
					width : 250 + parseInt(ed.getLang('flags.delta_width', 0)),
					height : 160 + parseInt(ed.getLang('flags.delta_height', 0)),
					inline : 1
				}, {
					plugin_url : url
				});
			});

			// Register buttons
			ed.addButton('flags', {title : 'flags.flags_desc', cmd : 'mceflag'});
		},

		getInfo : function() {
			return {
				longname : 'flags',
				author : 'Moxiecode Systems AB',
				authorurl : 'http://tinymce.moxiecode.com',
				infourl : 'http://wiki.moxiecode.com/index.php/TinyMCE:Plugins/flags',
				version : tinymce.majorVersion + "." + tinymce.minorVersion
			};
		}
	});

	// Register plugin
	tinymce.PluginManager.add('flags', tinymce.plugins.flagsPlugin);
})(tinymce);